Bug 494089 - Prototype mismatch: sub main::LC_ALL () vs none at /usr/lib/perl5/5.10.0/Exporter.pm
Summary: Prototype mismatch: sub main::LC_ALL () vs none at /usr/lib/perl5/5.10.0/Expo...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: help2man
Version: 10
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ralf Corsepius
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-04-04 03:56 UTC by Ralf Corsepius
Modified: 2009-05-19 02:12 UTC (History)
1 user (show)

Fixed In Version: 1.36.4-4.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-05-19 01:59:38 UTC


Attachments (Terms of Use)

Description Ralf Corsepius 2009-04-04 03:56:56 UTC
Description of problem:

Some recent (?) changes to perl cause help2man to issue this warning:

# help2man
Constant subroutine main::LC_ALL redefined at /usr/lib/perl5/5.10.0/Exporter.pm line 66.
 at /usr/bin/help2man line 38
Prototype mismatch: sub main::LC_ALL () vs none at /usr/lib/perl5/5.10.0/Exporter.pm line 66.
 at /usr/bin/help2man line 38


Version-Release number of selected component (if applicable):
help2man-1.36.4-2.fc9.noarch
perl-5.10.0-56.fc10.x86_64

How reproducible:
Always

Steps to Reproduce:
1. run help2man

Actual results:
Warning

Expected results:
No warning

Additional info:
cf. http://bugs.gentoo.org/show_bug.cgi?id=237378

Comment 1 Ralf Corsepius 2009-04-04 03:58:06 UTC
I am going to apply the patch from
http://bugs.gentoo.org/show_bug.cgi?id=237378#6

Comment 2 Fedora Update System 2009-05-18 04:11:41 UTC
help2man-1.36.4-4.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/help2man-1.36.4-4.fc9

Comment 3 Fedora Update System 2009-05-18 04:12:20 UTC
help2man-1.36.4-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/help2man-1.36.4-4.fc10

Comment 4 Fedora Update System 2009-05-19 01:59:34 UTC
help2man-1.36.4-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2009-05-19 02:00:35 UTC
help2man-1.36.4-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2009-05-19 02:12:36 UTC
help2man-1.36.4-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.